### Method

# ECal ComponentPeriod set_duration

since: 3.34

#### Declaration [src]

    void
    e_cal_component_period_set_duration (
      ECalComponentPeriod* period,
      const ICalDuration* duration
    )

#### Description [src]

Set the duration of the `period`. This can be called only on `period` objects of kind `E_CAL_COMPONENT_PERIOD_DURATION`.

Available since: 3.34

#### Parameters

`duration`

  Type: `None`

  An `ICalDuration`, the duration of the `period`.

  The data is owned by the caller of the method.